Package org.eclipse.ecf.core.util

## Interface OSGIObjectStreamConstants

All Known Implementing Classes:
  `IdentifiableObjectInputStream`, `IdentifiableObjectOutputStream`, `OSGIObjectInputStream`, `OSGIObjectOutputStream`

    public interface OSGIObjectStreamConstants

Since:
  3.9

### Field Summary

Fields
`static byte` `C_ARRAY`
`static byte` `C_BOOL`
`static byte` `C_BYTE`
`static byte` `C_CHAR`
`static byte` `C_COLL`
`static byte` `C_DICT`
`static byte` `C_DOUBLE`
`static byte` `C_DTO`
`static byte` `C_ENUM`
`static byte` `C_EXTER`
`static byte` `C_FLOAT`
`static byte` `C_INT`
`static byte` `C_ITER`
`static byte` `C_LIST`
`static byte` `C_LONG`
`static byte` `C_MAP`
`static byte` `C_NULL`
`static byte` `C_OBJECT`
`static byte` `C_OBOOL`
`static byte` `C_OBYTE`
`static byte` `C_OCHAR`
`static byte` `C_ODOUBLE`
`static byte` `C_OFLOAT`
`static byte` `C_OINT`
`static byte` `C_OLONG`
`static byte` `C_OSHORT`
`static byte` `C_SER`
`static byte` `C_SET`
`static byte` `C_SHORT`
`static byte` `C_STRING`
`static byte` `C_VER`

### Field Detail

#### C_NULL

    static final byte C_NULL

See Also:
  Constant Field Values

#### C_SER

    static final byte C_SER

See Also:
  Constant Field Values

#### C_VER

    static final byte C_VER

See Also:
  Constant Field Values

#### C_ARRAY

    static final byte C_ARRAY

See Also:
  Constant Field Values

#### C_DTO

    static final byte C_DTO

See Also:
  Constant Field Values

#### C_MAP

    static final byte C_MAP

See Also:
  Constant Field Values

#### C_LIST

    static final byte C_LIST

See Also:
  Constant Field Values

#### C_SET

    static final byte C_SET

See Also:
  Constant Field Values

#### C_COLL

    static final byte C_COLL

See Also:
  Constant Field Values

#### C_ITER

    static final byte C_ITER

See Also:
  Constant Field Values

#### C_EXTER

    static final byte C_EXTER

See Also:
  Constant Field Values

#### C_STRING

    static final byte C_STRING

See Also:
  Constant Field Values

#### C_ENUM

    static final byte C_ENUM

See Also:
  Constant Field Values

#### C_OBJECT

    static final byte C_OBJECT

See Also:
  Constant Field Values

#### C_DICT

    static final byte C_DICT

See Also:
  Constant Field Values

#### C_LONG

    static final byte C_LONG

See Also:
  Constant Field Values

#### C_INT

    static final byte C_INT

See Also:
  Constant Field Values

#### C_SHORT

    static final byte C_SHORT

See Also:
  Constant Field Values

#### C_BOOL

    static final byte C_BOOL

See Also:
  Constant Field Values

#### C_BYTE

    static final byte C_BYTE

See Also:
  Constant Field Values

#### C_CHAR

    static final byte C_CHAR

See Also:
  Constant Field Values

#### C_DOUBLE

    static final byte C_DOUBLE

See Also:
  Constant Field Values

#### C_FLOAT

    static final byte C_FLOAT

See Also:
  Constant Field Values

#### C_OLONG

    static final byte C_OLONG

See Also:
  Constant Field Values

#### C_OINT

    static final byte C_OINT

See Also:
  Constant Field Values

#### C_OSHORT

    static final byte C_OSHORT

See Also:
  Constant Field Values

#### C_OBOOL

    static final byte C_OBOOL

See Also:
  Constant Field Values

#### C_OBYTE

    static final byte C_OBYTE

See Also:
  Constant Field Values

#### C_OCHAR

    static final byte C_OCHAR

See Also:
  Constant Field Values

#### C_ODOUBLE

    static final byte C_ODOUBLE

See Also:
  Constant Field Values

#### C_OFLOAT

    static final byte C_OFLOAT

See Also:
  Constant Field Values